Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 692)
+++ trunk/SophyaPI/PIext/Makefile	(revision 693)
@@ -17,323 +17,809 @@
 endif 
  
-$(OBJ)basexecut.o: basexecut.cc piacmd.h $(INC)machdefs.h \
- $(INC)machine.h $(INC)defs.h dlftypes.h \
- basexecut.h $(INC)pdlmgr.h \
- $(INC)ctimer.h $(INC)peida.h \
- $(INC)utils.h $(INC)perrors.h \
- $(INC)exceptions.h $(INC)peidainit.h \
+$(OBJ)basexecut.o: basexecut.cc piacmd.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h dlftypes.h basexecut.h \
+ $(INC)pdlmgr.h \
+ $(INC)ctimer.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
  $(INC)fmath.h pistdimgapp.h \
- $(INC)pisysdep.h $(INC)piapplx.h \
- $(INC)piapplgen.h $(INC)pimsghandler.h \
+ $(INC)pisysdep.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)pimsghandler.h \
  $(INC)picontainerx.h \
- $(INC)picontainergen.h $(INC)piwdgx.h \
- $(INC)piwdggen.h $(INC)pimenubarx.h \
- $(INC)pimenubargen.h $(INC)pimenux.h \
- $(INC)pimenugen.h $(INC)picons.h \
- $(INC)pistdwdgx.h $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h $(INC)pigraphx.h \
- $(INC)pigraphgen.h $(INC)pifontx.h \
- $(INC)pifontgen.h $(INC)pigraphuc.h \
- $(INC)pievthandler.h $(INC)psfile.h \
- $(INC)pigraphps.h $(INC)piwindowx.h \
- $(INC)piwindowgen.h $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h $(INC)pifilechox.h \
- $(INC)pifilechogen.h $(INC)piimage.h \
- $(INC)parradapter.h $(INC)lut.h \
- $(INC)pidrawer.h $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h $(INC)picmapview.h \
- $(INC)pi3ddrw.h $(INC)pigraph3d.h \
- nobjmgr.h $(INC)anydataobj.h \
- $(INC)ppersist.h $(INC)pclassids.h \
- pisiadw.h $(INC)pilistx.h \
- $(INC)pilistgen.h $(INC)pistzwin.h \
- $(INC)piperiodx.h $(INC)periodic.h \
- servnobjm.h $(INC)histos.h \
- $(INC)cvector.h $(INC)matrix.h \
- $(INC)histos2.h $(INC)hisprof.h \
- $(INC)ntuple.h $(INC)ntupintf.h \
- $(INC)dvlist.h $(INC)generaldata.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)pidrawer.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h nobjmgr.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h pisiadw.h \
+ $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h servnobjm.h \
+ $(INC)histos.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)histos2.h \
+ $(INC)hisprof.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)dvlist.h \
+ $(INC)generaldata.h \
  $(INC)poly.h
+$(OBJ)nobjmgr.o: nobjmgr.cc $(INC)strutil.h \
+ $(INC)datatypes.h \
+ $(INC)machine.h \
+ $(INC)defs.h nobjmgr.h \
+ $(INC)machdefs.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)pclassids.h dlftypes.h servnobjm.h \
+ $(INC)pdlmgr.h nomgadapter.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h pistdimgapp.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h piacmd.h pisiadw.h \
+ $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
+ $(INC)pisurfdr.h pipodrw.h \
+ $(INC)histos2.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)histos.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h pintuple.h pintup3d.h pigfd1.h \
+ $(INC)generaldata.h \
+ $(INC)poly.h pigfd2.h
 $(OBJ)nomgadapter.o: nomgadapter.cc $(INC)machdefs.h \
- $(INC)machine.h $(INC)defs.h \
- nomgadapter.h $(INC)ppersist.h \
- $(INC)perrors.h $(INC)exceptions.h \
- $(INC)peidainit.h $(INC)pclassids.h \
- $(INC)anydataobj.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h $(INC)pisysdep.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimsghandler.h $(INC)picmap.h \
- $(INC)picmapx.h $(INC)picmapgen.h \
- $(INC)pigraphx.h $(INC)pigraphgen.h \
- $(INC)pifontx.h $(INC)pifontgen.h \
- $(INC)pigraphuc.h $(INC)pievthandler.h \
- $(INC)psfile.h $(INC)parradapter.h \
- $(INC)lut.h $(INC)ntupintf.h
-$(OBJ)nomimagadapter.o: nomimagadapter.cc $(INC)machdefs.h \
- $(INC)machine.h $(INC)defs.h \
- nomimagadapter.h nomgadapter.h $(INC)ppersist.h \
- $(INC)perrors.h $(INC)exceptions.h \
- $(INC)peidainit.h $(INC)pclassids.h \
- $(INC)anydataobj.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h $(INC)pisysdep.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimsghandler.h $(INC)picmap.h \
- $(INC)picmapx.h $(INC)picmapgen.h \
- $(INC)pigraphx.h $(INC)pigraphgen.h \
- $(INC)pifontx.h $(INC)pifontgen.h \
- $(INC)pigraphuc.h $(INC)pievthandler.h \
- $(INC)psfile.h $(INC)parradapter.h \
- $(INC)lut.h $(INC)ntupintf.h \
- $(INC)cimage.h $(INC)rzimage.h \
- $(INC)rzvect.h $(INC)datatypes.h \
+ $(INC)machine.h \
+ $(INC)defs.h nomgadapter.h \
+ $(INC)ppersist.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h
+$(OBJ)nomgfdadapter.o: nomgfdadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h nomgfdadapter.h nomgadapter.h \
+ $(INC)ppersist.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)generaldata.h \
+ $(INC)poly.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h pipodrw.h \
+ $(INC)histos2.h \
+ $(INC)histos.h
+$(OBJ)nomhistadapter.o: nomhistadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h nomhistadapter.h nomgadapter.h \
+ $(INC)ppersist.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)histos.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)histos2.h \
+ $(INC)hisprof.h \
+ $(INC)ntuple.h \
+ $(INC)dvlist.h pihisto.h pihisto2d.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)piscdrawwdg.h \
+ $(INC)pibwdgx.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h pipodrw.h servnobjm.h \
+ $(INC)pdlmgr.h dlftypes.h
+$(OBJ)nomimagadapter.o: nomimagadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h nomimagadapter.h nomgadapter.h \
+ $(INC)ppersist.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)datatypes.h \
  $(INC)dvlist.h pimgadapter.h
-$(OBJ)nomstladapter.o: nomstladapter.cc $(INC)machdefs.h \
- $(INC)machine.h $(INC)defs.h \
- nomstladapter.h nomgadapter.h $(INC)ppersist.h \
- $(INC)perrors.h $(INC)exceptions.h \
- $(INC)peidainit.h $(INC)pclassids.h \
- $(INC)anydataobj.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h $(INC)pisysdep.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimsghandler.h $(INC)picmap.h \
- $(INC)picmapx.h $(INC)picmapgen.h \
- $(INC)pigraphx.h $(INC)pigraphgen.h \
- $(INC)pifontx.h $(INC)pifontgen.h \
- $(INC)pigraphuc.h $(INC)pievthandler.h \
- $(INC)psfile.h $(INC)parradapter.h \
- $(INC)lut.h $(INC)ntupintf.h \
- $(INC)stlist.h $(INC)dynccd.h \
- $(INC)star.h $(INC)starmacro.h \
- $(INC)psf.h $(INC)peida.h \
- $(INC)utils.h $(INC)fmath.h \
- $(INC)cimage.h $(INC)rzimage.h \
- $(INC)rzvect.h $(INC)datatypes.h \
- $(INC)dvlist.h $(INC)fct1dfit.h \
- $(INC)generalfit.h $(INC)matrix.h \
- $(INC)cvector.h $(INC)generaldata.h \
- $(INC)poly.h $(INC)fct2dfit.h \
- $(INC)pixelmap.h $(INC)transfo.h \
- $(INC)zfidu.h $(INC)imgalig.h \
- $(INC)fitsimage.h $(INC)fitsheader.h \
- $(INC)erosio.h $(INC)fitskeys.h \
- $(INC)erostape.h $(INC)strutil.h \
- $(INC)ptrarray.h $(INC)voidptrarray.h \
- $(INC)basearray.h $(INC)array.h \
- $(INC)lockfile.h $(INC)erostarfile.h \
- $(INC)xstrstream.h $(INC)dates.h \
+$(OBJ)nomstladapter.o: nomstladapter.cc \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h nomstladapter.h nomgadapter.h \
+ $(INC)ppersist.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)stlist.h \
+ $(INC)dynccd.h \
+ $(INC)star.h \
+ $(INC)starmacro.h \
+ $(INC)psf.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)datatypes.h \
+ $(INC)dvlist.h \
+ $(INC)fct1dfit.h \
+ $(INC)generalfit.h \
+ $(INC)matrix.h \
+ $(INC)cvector.h \
+ $(INC)generaldata.h \
+ $(INC)poly.h \
+ $(INC)fct2dfit.h \
+ $(INC)pixelmap.h \
+ $(INC)transfo.h \
+ $(INC)zfidu.h \
+ $(INC)imgalig.h \
+ $(INC)fitsimage.h \
+ $(INC)fitsheader.h \
+ $(INC)erosio.h \
+ $(INC)fitskeys.h \
+ $(INC)erostape.h \
+ $(INC)strutil.h \
+ $(INC)ptrarray.h \
+ $(INC)voidptrarray.h \
+ $(INC)basearray.h \
+ $(INC)array.h \
+ $(INC)lockfile.h \
+ $(INC)erostarfile.h \
+ $(INC)xstrstream.h \
+ $(INC)dates.h \
  $(INC)tarlib.h pistlist.h
-$(OBJ)pigfd1.o: pigfd1.cc pigfd1.h $(INC)generaldata.h \
- $(INC)exceptions.h $(INC)defs.h \
- $(INC)peidainit.h $(INC)ppersist.h \
- $(INC)machine.h $(INC)perrors.h \
- $(INC)pclassids.h $(INC)ntupintf.h \
- $(INC)machdefs.h $(INC)poly.h \
- $(INC)peida.h $(INC)utils.h \
- $(INC)fmath.h $(INC)cvector.h \
- $(INC)matrix.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h $(INC)pisysdep.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimsghandler.h $(INC)picmap.h \
- $(INC)picmapx.h $(INC)picmapgen.h \
- $(INC)pigraphx.h $(INC)pigraphgen.h \
- $(INC)pifontx.h $(INC)pifontgen.h \
- $(INC)pigraphuc.h $(INC)pievthandler.h \
+$(OBJ)pigfd1.o: pigfd1.cc pigfd1.h \
+ $(INC)generaldata.h \
+ $(INC)exceptions.h \
+ $(INC)defs.h \
+ $(INC)peidainit.h \
+ $(INC)ppersist.h \
+ $(INC)machine.h \
+ $(INC)perrors.h \
+ $(INC)pclassids.h \
+ $(INC)ntupintf.h \
+ $(INC)machdefs.h \
+ $(INC)poly.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
  $(INC)psfile.h
-$(OBJ)pigfd2.o: pigfd2.cc pigfd2.h $(INC)generaldata.h \
- $(INC)exceptions.h $(INC)defs.h \
- $(INC)peidainit.h $(INC)ppersist.h \
- $(INC)machine.h $(INC)perrors.h \
- $(INC)pclassids.h $(INC)ntupintf.h \
- $(INC)machdefs.h $(INC)poly.h \
- $(INC)peida.h $(INC)utils.h \
- $(INC)fmath.h $(INC)cvector.h \
- $(INC)matrix.h $(INC)pi3ddrw.h \
- $(INC)pisysdep.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h $(INC)piwdgx.h \
- $(INC)piwdggen.h $(INC)pimsghandler.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h $(INC)pigraphx.h \
- $(INC)pigraphgen.h $(INC)pifontx.h \
- $(INC)pifontgen.h $(INC)pigraphuc.h \
- $(INC)pievthandler.h $(INC)psfile.h \
- $(INC)pigraph3d.h $(INC)pibwdgx.h \
+$(OBJ)pigfd2.o: pigfd2.cc pigfd2.h \
+ $(INC)generaldata.h \
+ $(INC)exceptions.h \
+ $(INC)defs.h \
+ $(INC)peidainit.h \
+ $(INC)ppersist.h \
+ $(INC)machine.h \
+ $(INC)perrors.h \
+ $(INC)pclassids.h \
+ $(INC)ntupintf.h \
+ $(INC)machdefs.h \
+ $(INC)poly.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pisysdep.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraph3d.h \
+ $(INC)pibwdgx.h \
  $(INC)pigraphps.h
 $(OBJ)pihisto.o: pihisto.cc pihisto.h $(INC)histos.h \
- $(INC)peida.h $(INC)defs.h \
- $(INC)utils.h $(INC)machine.h \
- $(INC)perrors.h $(INC)exceptions.h \
- $(INC)peidainit.h $(INC)fmath.h \
- $(INC)cvector.h $(INC)matrix.h \
- $(INC)ppersist.h $(INC)pclassids.h \
- $(INC)pidrawer.h $(INC)pibwdggen.h \
- $(INC)pisysdep.h $(INC)machdefs.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimsghandler.h $(INC)picmap.h \
- $(INC)picmapx.h $(INC)picmapgen.h \
- $(INC)pigraphx.h $(INC)pigraphgen.h \
- $(INC)pifontx.h $(INC)pifontgen.h \
- $(INC)pigraphuc.h $(INC)pievthandler.h \
- $(INC)psfile.h $(INC)hisprof.h
+ $(INC)peida.h \
+ $(INC)defs.h \
+ $(INC)utils.h \
+ $(INC)machine.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)fmath.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)hisprof.h
 $(OBJ)pihisto2d.o: pihisto2d.cc $(INC)piapplgen.h \
- $(INC)pimsghandler.h $(INC)machdefs.h \
- $(INC)machine.h $(INC)defs.h \
- $(INC)pisysdep.h $(INC)picontainerx.h \
- $(INC)picontainergen.h $(INC)piwdgx.h \
- $(INC)piwdggen.h $(INC)pimenubarx.h \
- $(INC)pimenubargen.h $(INC)pimenux.h \
- $(INC)pimenugen.h $(INC)picons.h \
- $(INC)pistdwdgx.h $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h $(INC)pigraphx.h \
- $(INC)pigraphgen.h $(INC)pifontx.h \
- $(INC)pifontgen.h $(INC)pigraphuc.h \
- $(INC)pievthandler.h $(INC)psfile.h \
+ $(INC)pimsghandler.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h \
+ $(INC)pisysdep.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
  $(INC)pigraphps.h pihisto2d.h \
- $(INC)pioptmenux.h $(INC)pioptmenugen.h \
- $(INC)histos2.h $(INC)peida.h \
- $(INC)utils.h $(INC)perrors.h \
- $(INC)exceptions.h $(INC)peidainit.h \
- $(INC)fmath.h $(INC)histos.h \
- $(INC)cvector.h $(INC)matrix.h \
- $(INC)ppersist.h $(INC)pclassids.h \
- $(INC)piscdrawwdg.h $(INC)piwindowx.h \
- $(INC)piwindowgen.h $(INC)pidrawer.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)histos2.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)fmath.h \
+ $(INC)histos.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h \
+ $(INC)piscdrawwdg.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pidrawer.h \
  $(INC)nbrandom.h
-$(OBJ)pintup3d.o: pintup3d.cc pintup3d.h $(INC)ntupintf.h \
- $(INC)machdefs.h $(INC)machine.h \
- $(INC)defs.h $(INC)pi3ddrw.h \
- $(INC)pisysdep.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h $(INC)piwdgx.h \
- $(INC)piwdggen.h $(INC)pimsghandler.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h $(INC)pigraphx.h \
- $(INC)pigraphgen.h $(INC)pifontx.h \
- $(INC)pifontgen.h $(INC)pigraphuc.h \
- $(INC)pievthandler.h $(INC)psfile.h \
- $(INC)pigraph3d.h $(INC)pibwdgx.h \
+$(OBJ)pintup3d.o: pintup3d.cc pintup3d.h \
+ $(INC)ntupintf.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pisysdep.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraph3d.h \
+ $(INC)pibwdgx.h \
  $(INC)pigraphps.h
-$(OBJ)pintuple.o: pintuple.cc pintuple.h $(INC)ntupintf.h \
- $(INC)machdefs.h $(INC)machine.h \
- $(INC)defs.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h $(INC)pisysdep.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimsghandler.h $(INC)picmap.h \
- $(INC)picmapx.h $(INC)picmapgen.h \
- $(INC)pigraphx.h $(INC)pigraphgen.h \
- $(INC)pifontx.h $(INC)pifontgen.h \
- $(INC)pigraphuc.h $(INC)pievthandler.h \
+$(OBJ)pintuple.o: pintuple.cc pintuple.h \
+ $(INC)ntupintf.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
  $(INC)psfile.h
+$(OBJ)pipodrw.o: pipodrw.cc pipodrw.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)histos2.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)fmath.h \
+ $(INC)histos.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h \
+ $(INC)generalfit.h \
+ $(INC)generaldata.h \
+ $(INC)ntupintf.h \
+ $(INC)poly.h
 $(OBJ)pisiadw.o: pisiadw.cc $(INC)machdefs.h \
- $(INC)machine.h $(INC)defs.h \
- $(INC)perrors.h $(INC)exceptions.h \
- $(INC)peidainit.h $(INC)ctimer.h \
- $(INC)peida.h $(INC)utils.h \
- $(INC)fmath.h $(INC)nbmath.h \
- pistdimgapp.h $(INC)pisysdep.h \
- $(INC)piapplx.h $(INC)piapplgen.h \
+ $(INC)machine.h \
+ $(INC)defs.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)ctimer.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)nbmath.h pistdimgapp.h \
+ $(INC)pisysdep.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
  $(INC)pimsghandler.h \
  $(INC)picontainerx.h \
- $(INC)picontainergen.h $(INC)piwdgx.h \
- $(INC)piwdggen.h $(INC)pimenubarx.h \
- $(INC)pimenubargen.h $(INC)pimenux.h \
- $(INC)pimenugen.h $(INC)picons.h \
- $(INC)pistdwdgx.h $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h $(INC)pigraphx.h \
- $(INC)pigraphgen.h $(INC)pifontx.h \
- $(INC)pifontgen.h $(INC)pigraphuc.h \
- $(INC)pievthandler.h $(INC)psfile.h \
- $(INC)pigraphps.h $(INC)piwindowx.h \
- $(INC)piwindowgen.h $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h $(INC)pifilechox.h \
- $(INC)pifilechogen.h $(INC)piimage.h \
- $(INC)parradapter.h $(INC)lut.h \
- $(INC)pidrawer.h $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h $(INC)picmapview.h \
- $(INC)pi3ddrw.h $(INC)pigraph3d.h \
- nobjmgr.h $(INC)anydataobj.h \
- $(INC)ppersist.h $(INC)pclassids.h \
- dlftypes.h piacmd.h pisiadw.h $(INC)pilistx.h \
- $(INC)pilistgen.h $(INC)pistzwin.h \
- $(INC)piperiodx.h $(INC)periodic.h \
- servnobjm.h $(INC)pdlmgr.h
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)pidrawer.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h nobjmgr.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h dlftypes.h piacmd.h \
+ pisiadw.h $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h servnobjm.h \
+ $(INC)pdlmgr.h
 $(OBJ)pistdimgapp.o: pistdimgapp.cc $(INC)machdefs.h \
- $(INC)machine.h $(INC)defs.h \
- $(INC)strutil.h $(INC)timing.h \
- $(INC)perrors.h $(INC)exceptions.h \
- $(INC)peidainit.h $(INC)ctimer.h \
- $(INC)peida.h $(INC)utils.h \
- $(INC)fmath.h $(INC)psighand.h \
- $(INC)cimage.h $(INC)rzimage.h \
- $(INC)rzvect.h $(INC)datatypes.h \
- $(INC)ppersist.h $(INC)pclassids.h \
+ $(INC)machine.h \
+ $(INC)defs.h \
+ $(INC)strutil.h \
+ $(INC)timing.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)ctimer.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)psighand.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)datatypes.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h \
  $(INC)dvlist.h pistdimgapp.h \
- $(INC)pisysdep.h $(INC)piapplx.h \
- $(INC)piapplgen.h $(INC)pimsghandler.h \
+ $(INC)pisysdep.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)pimsghandler.h \
  $(INC)picontainerx.h \
- $(INC)picontainergen.h $(INC)piwdgx.h \
- $(INC)piwdggen.h $(INC)pimenubarx.h \
- $(INC)pimenubargen.h $(INC)pimenux.h \
- $(INC)pimenugen.h $(INC)picons.h \
- $(INC)pistdwdgx.h $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h $(INC)pigraphx.h \
- $(INC)pigraphgen.h $(INC)pifontx.h \
- $(INC)pifontgen.h $(INC)pigraphuc.h \
- $(INC)pievthandler.h $(INC)psfile.h \
- $(INC)pigraphps.h $(INC)piwindowx.h \
- $(INC)piwindowgen.h $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h $(INC)pifilechox.h \
- $(INC)pifilechogen.h $(INC)piimage.h \
- $(INC)parradapter.h $(INC)lut.h \
- $(INC)pidrawer.h $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h $(INC)picmapview.h \
- $(INC)pi3ddrw.h $(INC)pigraph3d.h \
- nobjmgr.h $(INC)anydataobj.h dlftypes.h piacmd.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)pidrawer.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h nobjmgr.h \
+ $(INC)anydataobj.h dlftypes.h piacmd.h \
  pisiadw.h $(INC)pilistx.h \
- $(INC)pilistgen.h $(INC)pistzwin.h \
- $(INC)piperiodx.h $(INC)periodic.h \
- pihisto2d.h $(INC)histos2.h \
- $(INC)histos.h $(INC)cvector.h \
- $(INC)matrix.h $(INC)piscdrawwdg.h \
- $(INC)piimgtools.h $(INC)pidrwtools.h \
- piinit.h $(INC)outilsinit.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h pihisto2d.h \
+ $(INC)histos2.h \
+ $(INC)histos.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)piscdrawwdg.h \
+ $(INC)piimgtools.h \
+ $(INC)pidrwtools.h piinit.h \
+ $(INC)outilsinit.h \
  $(INC)piversion.h piaversion.h
-$(OBJ)pistlist.o: pistlist.cc pistlist.h $(INC)stlist.h \
- $(INC)machine.h $(INC)defs.h \
- $(INC)exceptions.h $(INC)peidainit.h \
- $(INC)perrors.h $(INC)dynccd.h \
- $(INC)ppersist.h $(INC)pclassids.h \
- $(INC)star.h $(INC)starmacro.h \
- $(INC)psf.h $(INC)peida.h \
- $(INC)utils.h $(INC)fmath.h \
- $(INC)cimage.h $(INC)rzimage.h \
- $(INC)rzvect.h $(INC)datatypes.h \
- $(INC)dvlist.h $(INC)fct1dfit.h \
- $(INC)generalfit.h $(INC)matrix.h \
- $(INC)cvector.h $(INC)generaldata.h \
- $(INC)ntupintf.h $(INC)machdefs.h \
- $(INC)poly.h $(INC)fct2dfit.h \
- $(INC)pixelmap.h $(INC)transfo.h \
- $(INC)zfidu.h $(INC)imgalig.h \
- $(INC)fitsimage.h $(INC)fitsheader.h \
- $(INC)erosio.h $(INC)fitskeys.h \
- $(INC)erostape.h $(INC)strutil.h \
- $(INC)ptrarray.h $(INC)voidptrarray.h \
- $(INC)basearray.h $(INC)array.h \
- $(INC)lockfile.h $(INC)erostarfile.h \
- $(INC)xstrstream.h $(INC)dates.h \
- $(INC)tarlib.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h $(INC)pisysdep.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimsghandler.h $(INC)picmap.h \
- $(INC)picmapx.h $(INC)picmapgen.h \
- $(INC)pigraphx.h $(INC)pigraphgen.h \
- $(INC)pifontx.h $(INC)pifontgen.h \
- $(INC)pigraphuc.h $(INC)pievthandler.h \
+$(OBJ)pistlist.o: pistlist.cc pistlist.h \
+ $(INC)stlist.h \
+ $(INC)machine.h \
+ $(INC)defs.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)perrors.h \
+ $(INC)dynccd.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h \
+ $(INC)star.h \
+ $(INC)starmacro.h \
+ $(INC)psf.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)datatypes.h \
+ $(INC)dvlist.h \
+ $(INC)fct1dfit.h \
+ $(INC)generalfit.h \
+ $(INC)matrix.h \
+ $(INC)cvector.h \
+ $(INC)generaldata.h \
+ $(INC)ntupintf.h \
+ $(INC)machdefs.h \
+ $(INC)poly.h \
+ $(INC)fct2dfit.h \
+ $(INC)pixelmap.h \
+ $(INC)transfo.h \
+ $(INC)zfidu.h \
+ $(INC)imgalig.h \
+ $(INC)fitsimage.h \
+ $(INC)fitsheader.h \
+ $(INC)erosio.h \
+ $(INC)fitskeys.h \
+ $(INC)erostape.h \
+ $(INC)strutil.h \
+ $(INC)ptrarray.h \
+ $(INC)voidptrarray.h \
+ $(INC)basearray.h \
+ $(INC)array.h \
+ $(INC)lockfile.h \
+ $(INC)erostarfile.h \
+ $(INC)xstrstream.h \
+ $(INC)dates.h \
+ $(INC)tarlib.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
  $(INC)psfile.h
Index: trunk/SophyaPI/PIext/objlist.list
===================================================================
--- trunk/SophyaPI/PIext/objlist.list	(revision 692)
+++ trunk/SophyaPI/PIext/objlist.list	(revision 693)
@@ -5,6 +5,6 @@
 nomhistadapter.o
 nomimagadapter.o
-nomskymapadapter.o
-nomtmatvecadapter.o
+nommatvecadapter.o
+nomstladapter.o
 pawexecut.o
 piacmd.o
@@ -20,4 +20,4 @@
 pisiadw.o
 pistdimgapp.o
-pitvmaad.o
+pistlist.o
 servnobjm.o
